How to initialize a keytab in docker?

I have a krb5.conf file. I created a keytab and checked it as expalined here. In docker file I added all of it to the container FROM java:8 ADD krb5.conf /etc/krb5.conf ADD evkuzmin.keytab...

Apache seg fault krb5int_key_delete Assertion destructors_set[keynum] == 1 failed

I use Apache 2.4.7 and ubuntu 14.04. the apache has been crashed with seg fault error early morning and it is due to logrotate script. apache2: ../../../src/util/support/threads.c:383:...

apt-get behaves differently when using loop structure

I have a bash script which installs a set of packages from a file but it fails to find the packages. When executing the same commands from the bash terminal, there is no...

Docker for Mac - Hash sum mismatch

I'm using Docker for Mac with such Dockerfile (only beginning): # Base image FROM ubuntu:16.04 RUN export DEBIAN_FRONTEND=noninteractive # Update packages list and system RUN apt-get -y...

jvm crash after system upgrade

We have a tomcat application that started crashing every 10-15 minutes after we upgraded the OS ("aptitude dist-upgrade" of the system, which is a 32-bit Debian Lenny). java didn't get...

Install pip in docker

I'm not able to install pip in Docker. Here's my Dockerfile: FROM ubuntu:14.04 # Install dependencies RUN apt-get update -y RUN apt-get install -y git curl apache2 php5 libapache2-mod-php5...

docker Unable to connect to archive.ubuntu.com:http: [IP: 209.6.3.210 80]

I'm having issues building my Dockerfile (on OS X), getting the above error for multiple libraries. I've tried adding google dns servers and the below sources.list workaround but nothing that I've...

debian apt packages hash sum mismatch

From the Debian command line, I'm getting a hash sum mismatch after executing aptitude update; aptitude upgrade. Below is the command line output. I've tried an aptitude clean, but this does not...

Docker newbie, is this image created successfully ?

Running docker build . outputs : Sending build context to Docker daemon 2.048 kB Step 1 : FROM ubuntu:14.04.3 14.04.3: Pulling from library/ubuntu 8387d9ff0016: Pull complete 3b52deaaf0ed: Pull...

Phalcon extension unloaded after system upgrade

So, I am using Phalcon 3.0.0 with PHP 7 on Ubuntu 16.04.1 on DO. Everything worked correctly until today, when I ran apt update and upgrade on Ubuntu. After the process finished, Phalcon plugin...

systemctl not found while building mongo image

I am trying to build a mongo 4.4 image based on the official image Dockerfile but I am running into an issue with systemctl not found. The image itself has a line to remove it after setup, but not...

Dockerizing kafka gives non zero exit code

I am a newbie trying to learn docker. I am trying to dockerize kafka installation and stuck with a non zero exit code. I would like to debug the issue and find out the reason. How to debug a...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

Azure Pipelines agent running in container throwing error on concurrent builds

I have three Azure Pipeline agents built on Ubuntu 18.04 images and deployed to a Kubernetes cluster. Agents are running the latest version, 2.182.1, but this problem also happened using 2.181.0....

Error when installing packages on AWS EC2 instance

I need to install S3FS package to mount S3 storage onto EC2 instance. To do this, I executed following commands. Update [email protected]:~$ sudo apt-get update Hit:1...

Cassandra doesn't complete connection with EventletConnection

In an otherwise stable environment, when I call cluster.connect(), the code just hangs indefinitely, no errors or timeout messages. The connection is contained inside a Nameko service. I suspect...

How to fix broken apt-get on debian wheezy?

I'm using a debian wheezy at work. Packages are held in specific versions. My /etc/apt/sources.list contains lines like : deb http://mycompany.com/debian/debian-main/ wheezy main non-free...

How to upgrade postgres 9.5 with non default data directory and checksum enabled to 10.1?

I am trying to upgrade postgres 9.5.4 to 10.1 on Ubuntu 14. The data directory for 9.5.4 is /var/lib/postgresql/data/postgresql0 The steps that I have followed Install postgres...

Can any packages be removed from the debian minimal image?

<b>Baackstory</b>: I am trying to create a customized Linux distribution for my project. My first thought was LFS(Linux from Scratch) and I had almost completed that when my (unreasonable)academic...